<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RVpnGroup StructType
 * @subpackage Structs
 */
class RVpnGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The vpnGateways
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways
     */
    public $vpnGateways;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RVpnGroup
     * @uses RVpnGroup::setName()
     * @uses RVpnGroup::setDescription()
     * @uses RVpnGroup::setVpnGateways()
     * @uses RVpnGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setVpnGateways($vpnGateways)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get vpnGateways value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways|null
     */
    public function getVpnGateways()
    {
        return $this->vpnGateways;
    }
    /**
     * Set vpnGateways value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroup
     */
    public function setVpnGateways(\\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways = null)
    {
        $this->vpnGateways = $vpnGateways;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
